Name:		sony-target-dev-lldpad
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-lldpad
Version:	0.9.46
Release:	2%{?dist}.mvs.3
Summary:	Intel LLDP Agent

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://open-lldp.org
Source:		open-lldp-%{version}.tar.gz
Patch0:		open-lldp-%{version}-objdir.patch
Patch1:		lldpad-%{version}-multiple-vm-support.patch
Patch2:		open-lldp-%{version}-xpnl.patch
Patch3:		open-lldp-%{version}-rchange.patch
Patch4:		open-lldp-%{version}-powerMdi.patch
Patch5:		open-lldp-%{version}-subdirobj.patch

#BuildRequires:	autoconf
#Requires:	kernel >= 2.6.32

Group:		%{sony_group}
Distribution:	%{sony_distribution}
Vendor:		%{sony_vendor}
Packager:	%{sony_packager}
BuildRoot:	%{_tmppath}/%{name}-root
Prefix:		%{sony_target_dir}
%define _defaultdocdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
This package contains the Linux user space daemon and configuration tool for
Intel LLDP Agent with Enhanced Ethernet support for the Data Center.

%package -n %{pkgname}
Summary:	Intel LLDP Agent
Group           : %{sony_group}
AutoReqProv     : no

%description -n %{pkgname}
This package contains the Linux user space daemon and configuration tool for
Intel LLDP Agent with Enhanced Ethernet support for the Data Center.


%prep
%setup -q -n open-lldp-%{version}
%patch0 -p0 -b .objdir
%patch1 -p1
%patch2 -p0 -b .xpnl
%patch3 -p0 -b .rchange
%patch4 -p0 -b .powerMdi
%patch5 -p0 -b .subdirobj


%build
%sony_target_dev_setup
./bootstrap.sh
export PKG_CONFIG_PATH=/usr/local/scel12.0/arm/target/armhf/usr/lib/pkgconfig
export ac_cv_func_malloc_0_nonnull=yes
export ac_cv_func_realloc_0_nonnull=yes
%sony_target_dev_configure --disable-static
%{__make} %{?_smp_mflags} CFLAGS+=-I./include


%install
%{__rm} -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall


%clean
%{__rm} -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%doc COPYING README ChangeLog
%{sony_target_dir}%{sony_target_dev_sbin_dir}/*
#%dir %{sony_target_dir}%{sony_target_dev_sharedstate_dir}/lldpad
%{sony_target_dir}%{sony_target_devtool_include_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/liblldp_clif.so*
%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig/*.pc
%dir %{sony_target_dir}%{sony_target_dev_sysconf_dir}/bash_completion.d/
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/bash_completion.d/*
%exclude %{sony_target_dir}%{sony_target_dev_sysconf_dir}/init.d
%exclude %{sony_target_dir}%{sony_target_dev_data_dir}/man
%exclude %{sony_target_dir}%{sony_target_dev_lib_dir}/liblldp_clif.la

%changelog
* Tue Mar  9 2021  <Nobuyuki.x.Ichimori@sony.com> - 0.9.46-2.mvs.3
- add subdirobj patch.

* Wed Oct  8 2014  <Takeo.Ugai@jp.sony.com> - 0.9.46-2.mvs.2
- add powerMdi patch.

* Tue Oct  7 2014  <Takeo.Ugai@jp.sony.com> - 0.9.46-2.mvs.1
- add rcharge patch.
